Subject: [IPP] Working on IPP Everywhere umbrella spec, some thoughts...

From: Michael Sweet <[email-masked]>
Date: Tue, 15 Mar 2011 08:59:25 -0700

All,

As I am getting the rest of the IPP Everywhere spec together, it occurs to me that there are two logical categories of IPP printers we may want to use from a client:

1. A standalone personal/workgroup printer that prints (and accepts) one job at a time (basically IPP/2.0)
2. A managed printer/print service that prints (and accepts) multiple jobs at a time (IPP/2.1 or IPP/2.2)

Now, we could define these as separate conformance levels for IPP Everywhere, *or* we could have IPP Everywhere use the protocol versions defined in IPP/2.0 SE as the basis for IPP Everywhere's different conformance levels.

Quick outline:

IPP/2.0: Add required JPS3 attributes and operations, Cancel-My-Jobs and media-col-database from JPS2, DNS-SD for discovery, and PWG Raster as the required document format.

IPP/2.1: Add required JPS3 attributes and operations, Cancel-My-Jobs, Cancel-Jobs, and media-col-database from JPS2, DNS-SD, LDAP, and SLP for discovery, and PWG Raster and PDF as the required document formats.

IPP/2.2: Add required JPS3 attributes and operations, DNS-SD, LDAP, and SLP for discovery, and PWG Raster and PDF as the required document formats.

Thoughts?

________________________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Ira McDonald <[email-masked]>
Date: Tue, 15 Mar 2011 13:20:45 -0400

Hi Mike,

Good thinking!

I've been worrying about this proliferation of IPP Everywhere
conformance levels (in some IPP attribute?) that would sort of
compete with regular IPP protocol version levels.

I much prefer to use the IPP 2.0, 2.1, and 2.2 protocol versions
for our IPP Everywhere conformance levels.

More questions:

(1) Do we need a new IPP boolean ipp-everywhere-supported
attribute to specify that IPP Everywhere is supported.

(2) Do we need a new IPP keyword ipp-discovery-supported
attribute to specify the (one or more) discovery protocols that
are supported.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Co-Chair - IEEE-ISTO PWG IPP WG
Co-Chair - TCG Hardcopy WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music/High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto:[email-masked]
Christmas through April:
  579 Park Place  Saline, MI  48176
  734-944-0094
May to Christmas:
  PO Box 221  Grand Marais, MI 49839
  906-494-2434

On Tue, Mar 15, 2011 at 11:59 AM, Michael Sweet <[email-masked]> wrote:

> All,
>
> As I am getting the rest of the IPP Everywhere spec together, it occurs to
> me that there are two logical categories of IPP printers we may want to use
> from a client:
>
> Now, we could define these as separate conformance levels for IPP
> Everywhere, *or* we could have IPP Everywhere use the protocol versions
> defined in IPP/2.0 SE as the basis for IPP Everywhere's different
> conformance levels.
>
> Quick outline:
>
> IPP/2.0: Add required JPS3 attributes and operations, Cancel-My-Jobs and
> media-col-database from JPS2, DNS-SD for discovery, and PWG Raster as the
> required document format.
>
> IPP/2.1: Add required JPS3 attributes and operations, Cancel-My-Jobs,
> Cancel-Jobs, and media-col-database from JPS2, DNS-SD, LDAP, and SLP for
> discovery, and PWG Raster and PDF as the required document formats.
>
> IPP/2.2: Add required JPS3 attributes and operations, DNS-SD, LDAP, and SLP
> for discovery, and PWG Raster and PDF as the required document formats.
>
> Thoughts?
>

---

From: Ira McDonald <[email-masked]>
Date: Tue, 15 Mar 2011 18:45:42 -0400

Hi Mike,

One more thought about interoperability.

RFC 2911 says in section 4.4.18 "charset-supported" (REQUIRED)
that 'utf-8' MUST be supported by all IPP Printers.

But RFC 2911 in section 4.4.17 "charset-configured" (REQUIRED)
is silent about any default value.

I think that IPP Everywhere should say that "charset-configured"
MUST default to 'utf-8' - for compatibility with printing gateways,
RESTful/SOAPy XML schema, and modern SNMP MIBs which
all use SnmpAdminString (UTF-8 fixed charset) for localized text.

Cheers,
- Ira

On Tue, Mar 15, 2011 at 1:20 PM, Ira McDonald <[email-masked]>wrote:

>> IPP/2.2: Add required JPS3 attributes and operations, DNS-SD, LDAP, and
>> SLP for discovery, and PWG Raster and PDF as the required document formats.
>>
>> Thoughts?
>>